### Function

# Phosh Animation new

#### Declaration [src]

    PhoshAnimation*
    phosh_animation_new (
      GtkWidget* widget,
      double from,
      double to,
      gint64 duration,
      PhoshAnimationType type,
      PhoshAnimationValueCallback value_cb,
      PhoshAnimationDoneCallback done_cb,
      gpointer user_data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`widget`

  Type: `GtkWidget`

  No description available.

  The data is owned by the caller of the function.

`from`

  Type: `double`

  No description available.

`to`

  Type: `double`

  No description available.

`duration`

  Type: `gint64`

  No description available.

`type`

  Type: `PhoshAnimationType`

  No description available.

`value_cb`

  Type: `PhoshAnimationValueCallback`

  No description available.

`done_cb`

  Type: `PhoshAnimationDoneCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PhoshAnimation`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.